Subject: Bug#1579: x2Goclient crashes with error "Can't start X.org Server. Please check your installation"

From: "Peter Geelen (Quest For Security)" <[email-masked]>
Date: Thu, 13 Jan 2022 16:16:12 +0000

Package: X2goclient
Version: 4.1.2.2.-2020-02-13

Operating system
Windows 10 version 2005 (OS build 19041.1415)

Issue
The x2go client worked the last few days.
Suddenly I could not start the app anymore and it crashes with an error

"Can't start X.org Server.
Please check your installation"

Error Screenshot

Error message
"Can't start X.org Server.
Please check your installation"

I can't even disable the error, as soon as the error is displayed, the application crashes.

Troubleshooting/analysis

Possibly a Windows update crashed the application, but I cannot find any proof or logging what exactly is crashing.

Eventviewer:

EventID 0
The following information was included with the event:

sshd: PID 14632: error: Bind to port 7022 on :: failed: Operation not permitted.

The request is not supported

And also

The following information was included with the event:

sshd: PID 14632: fatal: Cannot bind any address.

The request is not supported

Kind regards,
Peter GEELEN